Subject: Re: pull-request: wireless-next-2024-02-20

From: Kalle Valo <[email-masked]>
Date: Thu, 22 Feb 2024 07:11:25 +0200

Jakub Kicinski <[email-masked]> writes:

> On Wed, 21 Feb 2024 17:18:41 -0800 Jeff Johnson wrote:
>> > definitely a flaw in 6db6e70a17f6 ("wifi: ath12k: Introduce the
>> > container for mac80211 hw")
>> > 
>> > my setup is using gcc which isn't flagging this :(
>> > 
>> > Karthikeyan, can you submit a patch?
>>
>> I see this was already fixed by:
>> 04edb5dc68f4 ("wifi: ath12k: Fix uninitialized use of ret in
>> ath12k_mac_allocate()")
>
> In wireless-next? Could you do a quick follow up PR so that
> it gets into net-next before the warning propagates into more
> of the networking sub-trees?

The fix is in ath-next but I'll pull ath-next into wireless-next and
then send a wireless-next pull request. So you should have the pull
request in few hours.

Sorry about this, I somehow understood this was a W=1 warning and didn't
prioritise the fix. After re-reading the commit message I can't
understand why I made that assumption, my bad.

What worries me is that the kbuild bot didn't warn this at all (or I
missed that as well). Is it using older clang version or what?

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches